%global gittag R1_9

Name:      eclipse-emf-transaction
Version:   1.9.0
Release:   1%{?dist}
Summary:   A model management layer for managing EMF resources
Group:     System Environment/Libraries
License:   EPL
URL:       http://www.eclipse.org/modeling/emf/?project=transaction

Source0:   http://git.eclipse.org/c/emf-transaction/org.eclipse.emf.transaction.git/snapshot/%{gittag}.tar.xz

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    eclipse-pde >= 1:4.2.0
BuildRequires:    eclipse-emf >= 2.8.0
BuildRequires:    eclipse-emf-validation >= 1.6.0
BuildRequires:    eclipse-contributor-tools
BuildRequires:    tycho
BuildRequires:    eclipse-license
BuildRequires:    maven-antrun-plugin
BuildRequires:    ant-contrib
BuildRequires:    eclipse-emf-examples

%description
The transaction component provide support for clients to read and write EMF
models on multiple threads, provides automatic validation to detect invalid
changes and provides support for batched notification of related changes,
rather than as a stream of EMF notifications. In particular, this allows
applications to analyze change sets in their entirety. For a simplified
programming model, the API automatically tracks changes applied to models
without the need for client code to use EMF edit commands. These changes are
encapsulated in transactions/operations that can undo and redo themselves.

%prep
%setup -q -n %{gittag}

%pom_remove_plugin org.eclipse.tycho:target-platform-configuration org.eclipse.emf.transaction.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.transaction.sdk-feature org.eclipse.emf.transaction.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.transaction.master-feature org.eclipse.emf.transaction.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.transaction.repository org.eclipse.emf.transaction.releng/pom.xml

%build
%mvn_build -j -- -f org.eclipse.emf.transaction.releng/pom.xml

%install
%mvn_install

%files -f .mfiles
%license org.eclipse.emf.transaction-feature/epl-v10.html

%changelog
* Thu Jun 25 2015 Alexander Kurtakov <akurtako@redhat.com> 1.9.0-1
- Update to Mars release.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 5 2015 Alexander Kurtakov <akurtako@redhat.com> 1.8.0-1
- Upload to upstream 1.8.
- Build with xmvn.

* Thu Dec 4 2014 Alexander Kurtakov <akurtako@redhat.com> 1.6.0-7
- Adapt to emf-runtime dropins change.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.6.0-5
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 21 2013 Mat Booth <fedora@matbooth.co.uk> - 1.6.0-3
- Fix FTBFS rhbz #913951.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 15 2012 Mat Booth <fedora@matbooth.co.uk> - 1.6.0-1
- Update to latest version.
- Adapt to newer packaging guidelines.
- Fix FTBFS bug 843212.
- Include emf from new location during pdebuild.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 24 2010 Mat Booth <fedora@matbooth.co.uk> 1.4.0-1
- Update to Helios release.

* Tue Nov 24 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.1-2
- Don't pretty-print the package description.

* Fri Nov 13 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.1-1
- New transaction spec file based on eclipse-gef.
